
%global python3_pkgversion 3.11
%global pypi_version 44.0
%global pypi_name readme-renderer
%global srcname readme_renderer

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        readme_renderer is a library for rendering readme descriptions for Warehouse

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://pypi.org/project/readme-renderer/
Source:         %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools >= 64
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 8
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-nh3 >= 0.2.14
BuildRequires:  python%{python3_pkgversion}-docutils >= 0.21.2
BuildRequires:  python%{python3_pkgversion}-pygments >= 2.5.1


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Readme Renderer is a library that will safely render arbitrary README files into HTML.
It is designed to be used in Warehouse to render the long_description for packages. It can handle Markdown, reStructuredText (.rst), and plain text.}

%description %_description

%package -n     python%{python3_pkgversion}-readme-renderer
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-nh3 >= 0.2.14
Requires:       python%{python3_pkgversion}-docutils >= 0.21.2
Requires:       python%{python3_pkgversion}-pygments >= 2.5.1

%description -n python%{python3_pkgversion}-readme-renderer %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras


%prep
%autosetup -p1 -n readme_renderer-%{version}


%build
%pyproject_wheel


%check
%{pytest} tests/

%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-readme-renderer -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info

%changelog
* Thu Feb 20 2025 Carlos Heiras <carlos.heiras@oracle.com> - 44.0-2
- Add sitelib files

* Thu Feb 20 2025 Carlos Heiras <carlos.heiras@oracle.com> - 44.0-1
- Initial release
